Subject: Re: Rebasing the edac-amd tree (Was: Re: linux-next: manual merge of the edac-amd tree with Linus' tree)

From: Borislav Petkov <[email-masked]>
Date: Wed, 5 Aug 2009 09:42:08 +0200

Hi,

On Wed, Aug 05, 2009 at 04:40:32PM +1000, Stephen Rothwell wrote:
> On Wed, 5 Aug 2009 08:22:15 +0200 Borislav Petkov <[email-masked]> wrote:
> >
> > thanks and yes, you're right. The former patch is less intrusive
> > and we opted for that one since it is really late in the -rc cycle
> > but the latter cleans up stuff so that code flow becomes much more
> > understandable. I'll rediff later and sorry for the inconvenience.
> 
> As an alternative to rebasing, you could merge Linus' current tree into
> yours and do the merge fixup there.  This is not particularly necessary,
> as the fixup is fairly simple.  Though you may want to do that sometime
> before you ask Linus to merge your tree.

that's what I'd normally do but I'm carrying some more patches which
have to go to -tip and I'd rather rebase to have a clean history and
all.

> > By the way, I see that you're merging edac-amd before tip and I'm going
> > to need to rebase my tree against tip in the next couple of days since
> > it depends on a bunch of stuff in it, so could you please switch the
> > merge order of the two trees so that edac-amd goes after tip?
> 
> Again, instead of rebasing, you could just merge in the branches from tip
> that you depend on. You need to make sure that you only depend on stable
> (i.e. non rebasing) branches in the tip tree, not on the branch
> (auto-latest) that is actually merged into linux-next.  Please discuss
> this with Ingo.

Yep, it happened yesterday.

> 
> I will move the edac-amd tree to after the tip tree tomorrow.

Thanks.

-- 
Regards/Gruss,
    Boris.